Subject: MPLS LSR MIB

From: Francis Arts <[email-masked]>
Date: Thu, 25 Jan 2001 21:52:36 +0100

Hello,

Looking into the MPLS LSR MIB I have a question concerning penultimate
hop popping. In the case of penultimate hop popping, an out segment is
created in the mplsOutSegmentTable with its mplsOutSegmentPushTopLabel
object set to FALSE.

According to my understanding of the MPLS LSR MIB
* the mplsOutSegmentOctets object in this case should be incremented
with the number of bytes of the mpls packet payload only (e.g. IP packet
length), not  including any MPLS header bytes.

Is this what the MIB suggests to do in this case or am I missing
something?

    Francis.